Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network125.2.0.0/17
Usable hosts32,766
Subnet mask255.255.128.0
Addresses32,768
Network address
125.2.0.0
Broadcast address
125.2.127.255
First usable
125.2.0.1
Last usable
125.2.127.254
Usable hosts
32,766 (32,768 less the network and broadcast addresses)
Subnet mask
255.255.128.0
Wildcard mask
0.0.127.255 (Cisco ACLs, OSPF)
Prefix length
/17
Type
Public public
Old class
A (default /8)
As numbers
Hex 7D020000 · Integer 2097283072 to 2097315839
Reverse DNS zones
0.2.125.in-addr.arpa
1.2.125.in-addr.arpa
2.2.125.in-addr.arpa
3.2.125.in-addr.arpa
4.2.125.in-addr.arpa
5.2.125.in-addr.arpa
6.2.125.in-addr.arpa
7.2.125.in-addr.arpa
8.2.125.in-addr.arpa
9.2.125.in-addr.arpa
10.2.125.in-addr.arpa
11.2.125.in-addr.arpa
12.2.125.in-addr.arpa
13.2.125.in-addr.arpa
14.2.125.in-addr.arpa
15.2.125.in-addr.arpa
and 112 more
/17 is not on a 8-bit boundary, so it takes 128 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01111101.00000010.00000000.00000000125.2.0.0
Subnet mask11111111.11111111.10000000.00000000255.255.128.0
Network01111101.00000010.00000000.00000000125.2.0.0
Broadcast01111101.00000010.01111111.11111111125.2.127.255
Split into smaller subnets/26

125.2.0.0/17 makes 512 subnets of /26; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1125.2.0.0/26125.2.0.1 to 125.2.0.62125.2.0.6362
2125.2.0.64/26125.2.0.65 to 125.2.0.126125.2.0.12762
3125.2.0.128/26125.2.0.129 to 125.2.0.190125.2.0.19162
4125.2.0.192/26125.2.0.193 to 125.2.0.254125.2.0.25562
5125.2.1.0/26125.2.1.1 to 125.2.1.62125.2.1.6362
6125.2.1.64/26125.2.1.65 to 125.2.1.126125.2.1.12762
7125.2.1.128/26125.2.1.129 to 125.2.1.190125.2.1.19162
8125.2.1.192/26125.2.1.193 to 125.2.1.254125.2.1.25562
9125.2.2.0/26125.2.2.1 to 125.2.2.62125.2.2.6362
10125.2.2.64/26125.2.2.65 to 125.2.2.126125.2.2.12762
11125.2.2.128/26125.2.2.129 to 125.2.2.190125.2.2.19162
12125.2.2.192/26125.2.2.193 to 125.2.2.254125.2.2.25562
13125.2.3.0/26125.2.3.1 to 125.2.3.62125.2.3.6362
14125.2.3.64/26125.2.3.65 to 125.2.3.126125.2.3.12762
15125.2.3.128/26125.2.3.129 to 125.2.3.190125.2.3.19162
16125.2.3.192/26125.2.3.193 to 125.2.3.254125.2.3.25562
17125.2.4.0/26125.2.4.1 to 125.2.4.62125.2.4.6362
18125.2.4.64/26125.2.4.65 to 125.2.4.126125.2.4.12762
19125.2.4.128/26125.2.4.129 to 125.2.4.190125.2.4.19162
20125.2.4.192/26125.2.4.193 to 125.2.4.254125.2.4.25562
21125.2.5.0/26125.2.5.1 to 125.2.5.62125.2.5.6362
22125.2.5.64/26125.2.5.65 to 125.2.5.126125.2.5.12762
23125.2.5.128/26125.2.5.129 to 125.2.5.190125.2.5.19162
24125.2.5.192/26125.2.5.193 to 125.2.5.254125.2.5.25562
25125.2.6.0/26125.2.6.1 to 125.2.6.62125.2.6.6362
26125.2.6.64/26125.2.6.65 to 125.2.6.126125.2.6.12762
27125.2.6.128/26125.2.6.129 to 125.2.6.190125.2.6.19162
28125.2.6.192/26125.2.6.193 to 125.2.6.254125.2.6.25562
29125.2.7.0/26125.2.7.1 to 125.2.7.62125.2.7.6362
30125.2.7.64/26125.2.7.65 to 125.2.7.126125.2.7.12762
31125.2.7.128/26125.2.7.129 to 125.2.7.190125.2.7.19162
32125.2.7.192/26125.2.7.193 to 125.2.7.254125.2.7.25562
33125.2.8.0/26125.2.8.1 to 125.2.8.62125.2.8.6362
34125.2.8.64/26125.2.8.65 to 125.2.8.126125.2.8.12762
35125.2.8.128/26125.2.8.129 to 125.2.8.190125.2.8.19162
36125.2.8.192/26125.2.8.193 to 125.2.8.254125.2.8.25562
37125.2.9.0/26125.2.9.1 to 125.2.9.62125.2.9.6362
38125.2.9.64/26125.2.9.65 to 125.2.9.126125.2.9.12762
39125.2.9.128/26125.2.9.129 to 125.2.9.190125.2.9.19162
40125.2.9.192/26125.2.9.193 to 125.2.9.254125.2.9.25562
41125.2.10.0/26125.2.10.1 to 125.2.10.62125.2.10.6362
42125.2.10.64/26125.2.10.65 to 125.2.10.126125.2.10.12762
43125.2.10.128/26125.2.10.129 to 125.2.10.190125.2.10.19162
44125.2.10.192/26125.2.10.193 to 125.2.10.254125.2.10.25562
45125.2.11.0/26125.2.11.1 to 125.2.11.62125.2.11.6362
46125.2.11.64/26125.2.11.65 to 125.2.11.126125.2.11.12762
47125.2.11.128/26125.2.11.129 to 125.2.11.190125.2.11.19162
48125.2.11.192/26125.2.11.193 to 125.2.11.254125.2.11.25562
49125.2.12.0/26125.2.12.1 to 125.2.12.62125.2.12.6362
50125.2.12.64/26125.2.12.65 to 125.2.12.126125.2.12.12762
51125.2.12.128/26125.2.12.129 to 125.2.12.190125.2.12.19162
52125.2.12.192/26125.2.12.193 to 125.2.12.254125.2.12.25562
53125.2.13.0/26125.2.13.1 to 125.2.13.62125.2.13.6362
54125.2.13.64/26125.2.13.65 to 125.2.13.126125.2.13.12762
55125.2.13.128/26125.2.13.129 to 125.2.13.190125.2.13.19162
56125.2.13.192/26125.2.13.193 to 125.2.13.254125.2.13.25562
57125.2.14.0/26125.2.14.1 to 125.2.14.62125.2.14.6362
58125.2.14.64/26125.2.14.65 to 125.2.14.126125.2.14.12762
59125.2.14.128/26125.2.14.129 to 125.2.14.190125.2.14.19162
60125.2.14.192/26125.2.14.193 to 125.2.14.254125.2.14.25562
61125.2.15.0/26125.2.15.1 to 125.2.15.62125.2.15.6362
62125.2.15.64/26125.2.15.65 to 125.2.15.126125.2.15.12762
63125.2.15.128/26125.2.15.129 to 125.2.15.190125.2.15.19162
64125.2.15.192/26125.2.15.193 to 125.2.15.254125.2.15.25562
65125.2.16.0/26125.2.16.1 to 125.2.16.62125.2.16.6362
66125.2.16.64/26125.2.16.65 to 125.2.16.126125.2.16.12762
67125.2.16.128/26125.2.16.129 to 125.2.16.190125.2.16.19162
68125.2.16.192/26125.2.16.193 to 125.2.16.254125.2.16.25562
69125.2.17.0/26125.2.17.1 to 125.2.17.62125.2.17.6362
70125.2.17.64/26125.2.17.65 to 125.2.17.126125.2.17.12762
71125.2.17.128/26125.2.17.129 to 125.2.17.190125.2.17.19162
72125.2.17.192/26125.2.17.193 to 125.2.17.254125.2.17.25562
73125.2.18.0/26125.2.18.1 to 125.2.18.62125.2.18.6362
74125.2.18.64/26125.2.18.65 to 125.2.18.126125.2.18.12762
75125.2.18.128/26125.2.18.129 to 125.2.18.190125.2.18.19162
76125.2.18.192/26125.2.18.193 to 125.2.18.254125.2.18.25562
77125.2.19.0/26125.2.19.1 to 125.2.19.62125.2.19.6362
78125.2.19.64/26125.2.19.65 to 125.2.19.126125.2.19.12762
79125.2.19.128/26125.2.19.129 to 125.2.19.190125.2.19.19162
80125.2.19.192/26125.2.19.193 to 125.2.19.254125.2.19.25562
81125.2.20.0/26125.2.20.1 to 125.2.20.62125.2.20.6362
82125.2.20.64/26125.2.20.65 to 125.2.20.126125.2.20.12762
83125.2.20.128/26125.2.20.129 to 125.2.20.190125.2.20.19162
84125.2.20.192/26125.2.20.193 to 125.2.20.254125.2.20.25562
85125.2.21.0/26125.2.21.1 to 125.2.21.62125.2.21.6362
86125.2.21.64/26125.2.21.65 to 125.2.21.126125.2.21.12762
87125.2.21.128/26125.2.21.129 to 125.2.21.190125.2.21.19162
88125.2.21.192/26125.2.21.193 to 125.2.21.254125.2.21.25562
89125.2.22.0/26125.2.22.1 to 125.2.22.62125.2.22.6362
90125.2.22.64/26125.2.22.65 to 125.2.22.126125.2.22.12762
91125.2.22.128/26125.2.22.129 to 125.2.22.190125.2.22.19162
92125.2.22.192/26125.2.22.193 to 125.2.22.254125.2.22.25562
93125.2.23.0/26125.2.23.1 to 125.2.23.62125.2.23.6362
94125.2.23.64/26125.2.23.65 to 125.2.23.126125.2.23.12762
95125.2.23.128/26125.2.23.129 to 125.2.23.190125.2.23.19162
96125.2.23.192/26125.2.23.193 to 125.2.23.254125.2.23.25562
97125.2.24.0/26125.2.24.1 to 125.2.24.62125.2.24.6362
98125.2.24.64/26125.2.24.65 to 125.2.24.126125.2.24.12762
99125.2.24.128/26125.2.24.129 to 125.2.24.190125.2.24.19162
100125.2.24.192/26125.2.24.193 to 125.2.24.254125.2.24.25562
101125.2.25.0/26125.2.25.1 to 125.2.25.62125.2.25.6362
102125.2.25.64/26125.2.25.65 to 125.2.25.126125.2.25.12762
103125.2.25.128/26125.2.25.129 to 125.2.25.190125.2.25.19162
104125.2.25.192/26125.2.25.193 to 125.2.25.254125.2.25.25562
105125.2.26.0/26125.2.26.1 to 125.2.26.62125.2.26.6362
106125.2.26.64/26125.2.26.65 to 125.2.26.126125.2.26.12762
107125.2.26.128/26125.2.26.129 to 125.2.26.190125.2.26.19162
108125.2.26.192/26125.2.26.193 to 125.2.26.254125.2.26.25562
109125.2.27.0/26125.2.27.1 to 125.2.27.62125.2.27.6362
110125.2.27.64/26125.2.27.65 to 125.2.27.126125.2.27.12762
111125.2.27.128/26125.2.27.129 to 125.2.27.190125.2.27.19162
112125.2.27.192/26125.2.27.193 to 125.2.27.254125.2.27.25562
113125.2.28.0/26125.2.28.1 to 125.2.28.62125.2.28.6362
114125.2.28.64/26125.2.28.65 to 125.2.28.126125.2.28.12762
115125.2.28.128/26125.2.28.129 to 125.2.28.190125.2.28.19162
116125.2.28.192/26125.2.28.193 to 125.2.28.254125.2.28.25562
117125.2.29.0/26125.2.29.1 to 125.2.29.62125.2.29.6362
118125.2.29.64/26125.2.29.65 to 125.2.29.126125.2.29.12762
119125.2.29.128/26125.2.29.129 to 125.2.29.190125.2.29.19162
120125.2.29.192/26125.2.29.193 to 125.2.29.254125.2.29.25562
121125.2.30.0/26125.2.30.1 to 125.2.30.62125.2.30.6362
122125.2.30.64/26125.2.30.65 to 125.2.30.126125.2.30.12762
123125.2.30.128/26125.2.30.129 to 125.2.30.190125.2.30.19162
124125.2.30.192/26125.2.30.193 to 125.2.30.254125.2.30.25562
125125.2.31.0/26125.2.31.1 to 125.2.31.62125.2.31.6362
126125.2.31.64/26125.2.31.65 to 125.2.31.126125.2.31.12762
127125.2.31.128/26125.2.31.129 to 125.2.31.190125.2.31.19162
128125.2.31.192/26125.2.31.193 to 125.2.31.254125.2.31.25562
129125.2.32.0/26125.2.32.1 to 125.2.32.62125.2.32.6362
130125.2.32.64/26125.2.32.65 to 125.2.32.126125.2.32.12762
131125.2.32.128/26125.2.32.129 to 125.2.32.190125.2.32.19162
132125.2.32.192/26125.2.32.193 to 125.2.32.254125.2.32.25562
133125.2.33.0/26125.2.33.1 to 125.2.33.62125.2.33.6362
134125.2.33.64/26125.2.33.65 to 125.2.33.126125.2.33.12762
135125.2.33.128/26125.2.33.129 to 125.2.33.190125.2.33.19162
136125.2.33.192/26125.2.33.193 to 125.2.33.254125.2.33.25562
137125.2.34.0/26125.2.34.1 to 125.2.34.62125.2.34.6362
138125.2.34.64/26125.2.34.65 to 125.2.34.126125.2.34.12762
139125.2.34.128/26125.2.34.129 to 125.2.34.190125.2.34.19162
140125.2.34.192/26125.2.34.193 to 125.2.34.254125.2.34.25562
141125.2.35.0/26125.2.35.1 to 125.2.35.62125.2.35.6362
142125.2.35.64/26125.2.35.65 to 125.2.35.126125.2.35.12762
143125.2.35.128/26125.2.35.129 to 125.2.35.190125.2.35.19162
144125.2.35.192/26125.2.35.193 to 125.2.35.254125.2.35.25562
145125.2.36.0/26125.2.36.1 to 125.2.36.62125.2.36.6362
146125.2.36.64/26125.2.36.65 to 125.2.36.126125.2.36.12762
147125.2.36.128/26125.2.36.129 to 125.2.36.190125.2.36.19162
148125.2.36.192/26125.2.36.193 to 125.2.36.254125.2.36.25562
149125.2.37.0/26125.2.37.1 to 125.2.37.62125.2.37.6362
150125.2.37.64/26125.2.37.65 to 125.2.37.126125.2.37.12762
151125.2.37.128/26125.2.37.129 to 125.2.37.190125.2.37.19162
152125.2.37.192/26125.2.37.193 to 125.2.37.254125.2.37.25562
153125.2.38.0/26125.2.38.1 to 125.2.38.62125.2.38.6362
154125.2.38.64/26125.2.38.65 to 125.2.38.126125.2.38.12762
155125.2.38.128/26125.2.38.129 to 125.2.38.190125.2.38.19162
156125.2.38.192/26125.2.38.193 to 125.2.38.254125.2.38.25562
157125.2.39.0/26125.2.39.1 to 125.2.39.62125.2.39.6362
158125.2.39.64/26125.2.39.65 to 125.2.39.126125.2.39.12762
159125.2.39.128/26125.2.39.129 to 125.2.39.190125.2.39.19162
160125.2.39.192/26125.2.39.193 to 125.2.39.254125.2.39.25562
161125.2.40.0/26125.2.40.1 to 125.2.40.62125.2.40.6362
162125.2.40.64/26125.2.40.65 to 125.2.40.126125.2.40.12762
163125.2.40.128/26125.2.40.129 to 125.2.40.190125.2.40.19162
164125.2.40.192/26125.2.40.193 to 125.2.40.254125.2.40.25562
165125.2.41.0/26125.2.41.1 to 125.2.41.62125.2.41.6362
166125.2.41.64/26125.2.41.65 to 125.2.41.126125.2.41.12762
167125.2.41.128/26125.2.41.129 to 125.2.41.190125.2.41.19162
168125.2.41.192/26125.2.41.193 to 125.2.41.254125.2.41.25562
169125.2.42.0/26125.2.42.1 to 125.2.42.62125.2.42.6362
170125.2.42.64/26125.2.42.65 to 125.2.42.126125.2.42.12762
171125.2.42.128/26125.2.42.129 to 125.2.42.190125.2.42.19162
172125.2.42.192/26125.2.42.193 to 125.2.42.254125.2.42.25562
173125.2.43.0/26125.2.43.1 to 125.2.43.62125.2.43.6362
174125.2.43.64/26125.2.43.65 to 125.2.43.126125.2.43.12762
175125.2.43.128/26125.2.43.129 to 125.2.43.190125.2.43.19162
176125.2.43.192/26125.2.43.193 to 125.2.43.254125.2.43.25562
177125.2.44.0/26125.2.44.1 to 125.2.44.62125.2.44.6362
178125.2.44.64/26125.2.44.65 to 125.2.44.126125.2.44.12762
179125.2.44.128/26125.2.44.129 to 125.2.44.190125.2.44.19162
180125.2.44.192/26125.2.44.193 to 125.2.44.254125.2.44.25562
181125.2.45.0/26125.2.45.1 to 125.2.45.62125.2.45.6362
182125.2.45.64/26125.2.45.65 to 125.2.45.126125.2.45.12762
183125.2.45.128/26125.2.45.129 to 125.2.45.190125.2.45.19162
184125.2.45.192/26125.2.45.193 to 125.2.45.254125.2.45.25562
185125.2.46.0/26125.2.46.1 to 125.2.46.62125.2.46.6362
186125.2.46.64/26125.2.46.65 to 125.2.46.126125.2.46.12762
187125.2.46.128/26125.2.46.129 to 125.2.46.190125.2.46.19162
188125.2.46.192/26125.2.46.193 to 125.2.46.254125.2.46.25562
189125.2.47.0/26125.2.47.1 to 125.2.47.62125.2.47.6362
190125.2.47.64/26125.2.47.65 to 125.2.47.126125.2.47.12762
191125.2.47.128/26125.2.47.129 to 125.2.47.190125.2.47.19162
192125.2.47.192/26125.2.47.193 to 125.2.47.254125.2.47.25562
193125.2.48.0/26125.2.48.1 to 125.2.48.62125.2.48.6362
194125.2.48.64/26125.2.48.65 to 125.2.48.126125.2.48.12762
195125.2.48.128/26125.2.48.129 to 125.2.48.190125.2.48.19162
196125.2.48.192/26125.2.48.193 to 125.2.48.254125.2.48.25562
197125.2.49.0/26125.2.49.1 to 125.2.49.62125.2.49.6362
198125.2.49.64/26125.2.49.65 to 125.2.49.126125.2.49.12762
199125.2.49.128/26125.2.49.129 to 125.2.49.190125.2.49.19162
200125.2.49.192/26125.2.49.193 to 125.2.49.254125.2.49.25562
201125.2.50.0/26125.2.50.1 to 125.2.50.62125.2.50.6362
202125.2.50.64/26125.2.50.65 to 125.2.50.126125.2.50.12762
203125.2.50.128/26125.2.50.129 to 125.2.50.190125.2.50.19162
204125.2.50.192/26125.2.50.193 to 125.2.50.254125.2.50.25562
205125.2.51.0/26125.2.51.1 to 125.2.51.62125.2.51.6362
206125.2.51.64/26125.2.51.65 to 125.2.51.126125.2.51.12762
207125.2.51.128/26125.2.51.129 to 125.2.51.190125.2.51.19162
208125.2.51.192/26125.2.51.193 to 125.2.51.254125.2.51.25562
209125.2.52.0/26125.2.52.1 to 125.2.52.62125.2.52.6362
210125.2.52.64/26125.2.52.65 to 125.2.52.126125.2.52.12762
211125.2.52.128/26125.2.52.129 to 125.2.52.190125.2.52.19162
212125.2.52.192/26125.2.52.193 to 125.2.52.254125.2.52.25562
213125.2.53.0/26125.2.53.1 to 125.2.53.62125.2.53.6362
214125.2.53.64/26125.2.53.65 to 125.2.53.126125.2.53.12762
215125.2.53.128/26125.2.53.129 to 125.2.53.190125.2.53.19162
216125.2.53.192/26125.2.53.193 to 125.2.53.254125.2.53.25562
217125.2.54.0/26125.2.54.1 to 125.2.54.62125.2.54.6362
218125.2.54.64/26125.2.54.65 to 125.2.54.126125.2.54.12762
219125.2.54.128/26125.2.54.129 to 125.2.54.190125.2.54.19162
220125.2.54.192/26125.2.54.193 to 125.2.54.254125.2.54.25562
221125.2.55.0/26125.2.55.1 to 125.2.55.62125.2.55.6362
222125.2.55.64/26125.2.55.65 to 125.2.55.126125.2.55.12762
223125.2.55.128/26125.2.55.129 to 125.2.55.190125.2.55.19162
224125.2.55.192/26125.2.55.193 to 125.2.55.254125.2.55.25562
225125.2.56.0/26125.2.56.1 to 125.2.56.62125.2.56.6362
226125.2.56.64/26125.2.56.65 to 125.2.56.126125.2.56.12762
227125.2.56.128/26125.2.56.129 to 125.2.56.190125.2.56.19162
228125.2.56.192/26125.2.56.193 to 125.2.56.254125.2.56.25562
229125.2.57.0/26125.2.57.1 to 125.2.57.62125.2.57.6362
230125.2.57.64/26125.2.57.65 to 125.2.57.126125.2.57.12762
231125.2.57.128/26125.2.57.129 to 125.2.57.190125.2.57.19162
232125.2.57.192/26125.2.57.193 to 125.2.57.254125.2.57.25562
233125.2.58.0/26125.2.58.1 to 125.2.58.62125.2.58.6362
234125.2.58.64/26125.2.58.65 to 125.2.58.126125.2.58.12762
235125.2.58.128/26125.2.58.129 to 125.2.58.190125.2.58.19162
236125.2.58.192/26125.2.58.193 to 125.2.58.254125.2.58.25562
237125.2.59.0/26125.2.59.1 to 125.2.59.62125.2.59.6362
238125.2.59.64/26125.2.59.65 to 125.2.59.126125.2.59.12762
239125.2.59.128/26125.2.59.129 to 125.2.59.190125.2.59.19162
240125.2.59.192/26125.2.59.193 to 125.2.59.254125.2.59.25562
241125.2.60.0/26125.2.60.1 to 125.2.60.62125.2.60.6362
242125.2.60.64/26125.2.60.65 to 125.2.60.126125.2.60.12762
243125.2.60.128/26125.2.60.129 to 125.2.60.190125.2.60.19162
244125.2.60.192/26125.2.60.193 to 125.2.60.254125.2.60.25562
245125.2.61.0/26125.2.61.1 to 125.2.61.62125.2.61.6362
246125.2.61.64/26125.2.61.65 to 125.2.61.126125.2.61.12762
247125.2.61.128/26125.2.61.129 to 125.2.61.190125.2.61.19162
248125.2.61.192/26125.2.61.193 to 125.2.61.254125.2.61.25562
249125.2.62.0/26125.2.62.1 to 125.2.62.62125.2.62.6362
250125.2.62.64/26125.2.62.65 to 125.2.62.126125.2.62.12762
251125.2.62.128/26125.2.62.129 to 125.2.62.190125.2.62.19162
252125.2.62.192/26125.2.62.193 to 125.2.62.254125.2.62.25562
253125.2.63.0/26125.2.63.1 to 125.2.63.62125.2.63.6362
254125.2.63.64/26125.2.63.65 to 125.2.63.126125.2.63.12762
255125.2.63.128/26125.2.63.129 to 125.2.63.190125.2.63.19162
256125.2.63.192/26125.2.63.193 to 125.2.63.254125.2.63.25562

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses